# $Revision: 1.26 $, $Date: 2001/12/22 10:02:44 $
Summary:	A GPL sound font editor
Summary(pl):	Edytor fontw dwikowych
Name:		smurf
Version:	0.52.6
Release:	1
License:	GPL
Vendor:		Josh Green <jgreen@users.sourceforge.net>
Group:		X11/Applications/Multimedia
Group(de):	X11/Applikationen/Multimedia
Group(pl):	X11/Aplikacje/Multimedia
Source0:	ftp://download.sourceforge.net/pub/sourceforge/smurf/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-remove_private_gettext.m4.patch
URL:		http://smurf.sourceforge.net/
%ifnarch sparc sparc64
BuildRequires:	alsa-lib-devel
%endif
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Smurf is a GTK based sound font editor. Sound font files are a
collection of audio samples and other data that describe instruments
for wavetable sound cards. Smurf currently supports the AWE 32/64 and
has limited support for the GUS/SoftOSS driver which can use any OSS
supported 16 bit sound card.

%description -l pl
Smurf to edytor "fontw dwikowych" oparty na bibliotece GTK. Pliki
"fontw" s zbiorem prbek dwikw poczonych z dodatkowymi danymi,
ktre razem opisuj instrumenty dla kart dwikowych wykorzystujcych
wavetable. Smurf aktualnie obsuguje karty AWE 32/64, ma take
ograniczone wsparcie dla sterownikw GUS/SoftOSS, ktre mog
wykorzystywa dowoln 16 bitow kart obsugiwan przez OSS.

%prep
%setup -q
%patch -p1

%build
rm -f missing
libtoolize --copy --force
gettextize --copy --force
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Multimedia

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Multimedia

gzip -9nf AUTHORS NEWS README ChangeLog

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/smurf
%{_applnkdir}/Multimedia/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: smurf.spec,v $
Revision 1.26  2001/12/22 10:02:44  kloczek
- updated to 0.52.6 (improved ALSA support; new/updated translations).

Revision 1.25  2001/12/18 19:19:46  kloczek
- typu in Simmary,
- added "rm -f missing" on top %build.

Revision 1.24  2001/12/18 11:44:54  qboosh
- pl summary, release 2

Revision 1.23  2001/05/14 01:15:39  kloczek
- added remove_private_gettext.m4 patch wich removes private copy
  gettext.m4 from acinclude.m4.

Revision 1.22  2001/05/14 00:55:00  kloczek
- typo.

Revision 1.21  2001/05/14 00:40:55  kloczek
- updated to 0.52.1 and added regenerate am/ac/lt files.

Revision 1.20  2001/02/23 03:53:18  kloczek
- updated to 0.50.1a.

Revision 1.19  2001/01/22 09:12:25  kloczek
- updated to 0.50.0.

Revision 1.18  2000/11/11 23:46:08  kloczek
- added libsndfile-devel and alsa-lib-devel (on non-sparc archs) to
  BuildRequires.

Revision 1.17  2000/11/11 23:31:34  kloczek
- updated to 0.49.8,
- added using %%find_lang macro.

Revision 1.16  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.15  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.12  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/31 07:04:52  kloczek
- added missing $RPM_BUILD_ROOT in %install.

Revision 1.10  2000/03/31 06:45:26  kloczek
- release 3.

Revision 1.9  2000/03/30 07:35:32  zagrodzki
- added installing desktop file

Revision 1.8  2000/03/29 23:20:53  zagrodzki
- added desktop
- unified BuildRoot dir name

Revision 1.7  2000/03/29 22:47:35  kloczek
- release 2.

Revision 1.6  2000/03/29 22:41:27  zagrodzki
- %description -l pl
- gzipped docs
- changed group
- changed buildroot

Revision 1.5  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 13:38:19  kloczek
- added BuildRequires rules.

Revision 1.3  2000/03/26 13:07:59  kloczek
- Group changed to X11/Applications/Multimedia.

Revision 1.2  2000/03/26 13:06:05  kloczek
- rewrited in PLD style.

* Sat Mar 25 2000 Josh Green <jgreen@users.sourceforge.net>
- Removed OSS reserved variable initialization in guspatch.c
- Added auto creation of .spec file to configure.in

* Wed Mar 21 2000 Josh Green <jgreen@users.sourceforge.net>
- Faster SF tree with multiple file load capability, sample viewer,
  view/change preset parameters, preferences and other improvements
